Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

## http://www.bea.com/ns/weblogic/90/domain
complexType jolt-connection-poolType

    {http://www.w3.org/2001/XMLSchema}anyType
      {http://www.bea.com/ns/weblogic/90/domain}configurationType
          {http://www.bea.com/ns/weblogic/90/domain}deploymentType
              {http://www.bea.com/ns/weblogic/90/domain}jolt-connection-poolType

Model
  `<...>
  name?, notes?, target?, deployment-order?, primary-address*, failover-address*, minimum-pool-size?, maximum-pool-size?, user-name?, user-password-encrypted?, application-password-encrypted?, user-role?, security-context-enabled?, recv-timeout?
  </...>`

Prohibited substitutions (block)
  none (extensions and restrictions are allowed)

Usage
  Derived types: none
  Components using this type: none

Documentation

  This bean defines a Jolt connection pool.

  MBean: `JoltConnectionPoolMBean`

Nested Element Summary
`annonymous type derived from string` | `name` optional
`string` | `notes` optional Optional information that you can include to describe this configuration.
`string` | `target` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`annonymous type derived from int` | `deployment-order` optional A priority that the server uses to determine when it deploys an item.
`string` | `primary-address` 0...∞ The list of addresses for the primary Jolt Server Listeners (JSLs) on the Tuxedo system.
`string` | `failover-address` 0...∞ The list of Jolt Server Listeners (JSLs) addresses that is used if the connection pool cannot estabilish connections to the Primary Addresses, or if the primary connections fail.
`annonymous type derived from int` | `minimum-pool-size` optional The minimum number of connections to be added to this Jolt connection pool when WebLogic Server starts.
`annonymous type derived from int` | `maximum-pool-size` optional The maximum number of connections that can be made from this Jolt connection pool.
`string` | `user-name` optional A user name that applications specify to connect to this Jolt connection pool.
`string` | `user-password-encrypted` optional The user password for this connection pool.
`string` | `application-password-encrypted` optional The encrypted application password for this connection pool.
`string` | `user-role` optional The Tuxedo user role for this Jolt connection pool.
`boolean` | `security-context-enabled` optional This bean defines a Jolt connection pool.
`annonymous type derived from int` | `recv-timeout` optional The number of seconds the client waits to receive a response before timing out.

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

Version: 9.1